"""Constants containing metadata for EVM-comaptitble chains.

!!!!!!!!!!!!!!!!!!!!!!!!! WARNING !!!!!!!!!!!!!!!!!!!!!!!!!
!!!! DO NOT EDIT THIS FILE DIRECTLY!                   !!!!
!!!! This file is auto-generated by scripts/update.py  !!!!
!!!! 2025-03-04 22:42:36.979879+00:00                  !!!!
!!!!!!!!!!!!!!!!!!!!!!!!! WARNING !!!!!!!!!!!!!!!!!!!!!!!!!
"""

from typing import Any, Dict

PUBLIC_CHAIN_META: Dict[str, Dict[str, Dict[str, Any]]] = {
    "abstract": {
        "mainnet": {
            "chain": "Abstract",
            "chainId": 2741,
            "ens": None,
            "explorers": [
                {
                    "name": "Etherscan",
                    "standard": "EIP3091",
                    "url": "https://abscan.org",
                },
                {
                    "name": "Abstract Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.mainnet.abs.xyz",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "abstract",
            "infoURL": "https://abs.xyz",
            "name": "Abstract",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 2741,
            "rpc": ["https://api.mainnet.abs.xyz"],
            "shortName": "abstract",
            "slip44": None,
        },
        "testnet": {
            "chain": "Abstract Sepolia Testnet",
            "chainId": 11124,
            "ens": None,
            "explorers": [
                {
                    "name": "Abstract Sepolia Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://sepolia.abscan.org",
                }
            ],
            "faucets": ["https://faucet.triangleplatform.com/abstract/testnet"],
            "features": None,
            "icon": None,
            "infoURL": "https://abs.xyz/",
            "name": "Abstract Sepolia Testnet",
            "nativeCurrency": {"decimals": 18, "name": "ETH", "symbol": "ETH"},
            "networkId": 11124,
            "rpc": ["https://api.testnet.abs.xyz"],
            "shortName": "abstract-sepolia",
            "slip44": None,
        },
    },
    "apechain": {
        "mainnet": {
            "chain": "apechain",
            "chainId": 33139,
            "ens": None,
            "explorers": [
                {
                    "name": "ApeChain Explorer",
                    "standard": "EIP3091",
                    "url": "https://apescan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "apechain",
            "infoURL": "https://apechain.com",
            "name": "ApeChain",
            "nativeCurrency": {"decimals": 18, "name": "ApeCoin", "symbol": "APE"},
            "networkId": 33139,
            "rpc": ["https://rpc.apechain.com"],
            "shortName": "apechain",
            "slip44": None,
        },
        "curtis": {
            "chain": "Curtis",
            "chainId": 33111,
            "ens": None,
            "explorers": [
                {
                    "name": "Curtis Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.curtis.apechain.com",
                }
            ],
            "faucets": ["https://curtis.hub.caldera.xyz"],
            "features": None,
            "icon": "curtis",
            "infoURL": "https://curtis.hub.caldera.xyz",
            "name": "Curtis",
            "nativeCurrency": {"decimals": 18, "name": "ApeCoin", "symbol": "APE"},
            "networkId": 33111,
            "rpc": ["https://rpc.curtis.apechain.com"],
            "shortName": "curtis",
            "slip44": None,
        },
    },
    "arbitrum": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 42161,
            "ens": None,
            "explorers": [
                {
                    "name": "Arbiscan",
                    "standard": "EIP3091",
                    "url": "https://arbiscan.io",
                },
                {
                    "name": "Arbitrum Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.arbitrum.io",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://arbitrum.dex.guru",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://arbitrum.io",
            "name": "Arbitrum One",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 42161,
            "rpc": [
                "https://arbitrum-mainnet.infura.io/v3/${INFURA_API_KEY}",
                "https://arb-mainnet.g.alchemy.com/v2/${ALCHEMY_API_KEY}",
                "https://arb1.arbitrum.io/rpc",
                "https://arbitrum-one-rpc.publicnode.com",
            ],
            "shortName": "arb1",
            "slip44": None,
        },
        "goerli": {
            "chain": "ETH",
            "chainId": 421613,
            "ens": None,
            "explorers": [
                {
                    "name": "Arbitrum Goerli Arbiscan",
                    "standard": "EIP3091",
                    "url": "https://goerli.arbiscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://arbitrum.io/",
            "name": "Arbitrum Goerli",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Arbitrum Goerli Ether",
                "symbol": "AGOR",
            },
            "networkId": 421613,
            "rpc": [
                "https://goerli-rollup.arbitrum.io/rpc",
                "https://arbitrum-goerli.publicnode.com",
            ],
            "shortName": "arb-goerli",
            "slip44": 1,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 421614,
            "ens": None,
            "explorers": [
                {
                    "name": "arbiscan-sepolia",
                    "standard": "EIP3091",
                    "url": "https://sepolia.arbiscan.io",
                },
                {
                    "name": "Arbitrum Sepolia Rollup Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://sepolia-explorer.arbitrum.io",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://arbitrum.io",
            "name": "Arbitrum Sepolia",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 421614,
            "rpc": [
                "https://sepolia-rollup.arbitrum.io/rpc",
                "https://arbitrum-sepolia.infura.io/v3/${INFURA_API_KEY}",
                "https://arbitrum-sepolia-rpc.publicnode.com",
            ],
            "shortName": "arb-sep",
            "slip44": 1,
        },
        "nova": {
            "chain": "ETH",
            "chainId": 42170,
            "ens": None,
            "explorers": [
                {
                    "icon": "blockscout",
                    "name": "Arbitrum Nova Chain Explorer",
                    "standard": "EIP3091",
                    "url": "https://nova-explorer.arbitrum.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://arbitrum.io",
            "name": "Arbitrum Nova",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 42170,
            "rpc": [
                "https://nova.arbitrum.io/rpc",
                "https://arbitrum-nova-rpc.publicnode.com",
            ],
            "shortName": "arb-nova",
            "slip44": None,
        },
    },
    "astar": {
        "mainnet": {
            "chain": "ASTR",
            "chainId": 592,
            "ens": None,
            "explorers": [
                {
                    "icon": "subscan",
                    "name": "subscan",
                    "standard": "none",
                    "url": "https://astar.subscan.io",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://blockscout.com/astar",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "astar",
            "infoURL": "https://astar.network/",
            "name": "Astar",
            "nativeCurrency": {"decimals": 18, "name": "Astar", "symbol": "ASTR"},
            "networkId": 592,
            "rpc": ["https://rpc.astar.network:8545"],
            "shortName": "astr",
            "slip44": None,
        },
    },
    "avalanche": {
        "mainnet": {
            "chain": "AVAX",
            "chainId": 43114,
            "ens": None,
            "explorers": [
                {
                    "name": "Etherscan",
                    "standard": "EIP3091",
                    "url": "https://snowscan.xyz",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://snowtrace.io",
                },
                {
                    "name": "Avascan",
                    "standard": "EIP3091",
                    "url": "https://avascan.info",
                },
            ],
            "faucets": [],
            "features": [{"name": "EIP1559"}],
            "icon": "avax",
            "infoURL": "https://www.avax.network/",
            "name": "Avalanche C-Chain",
            "nativeCurrency": {"decimals": 18, "name": "Avalanche", "symbol": "AVAX"},
            "networkId": 43114,
            "rpc": [
                "https://api.avax.network/ext/bc/C/rpc",
                "https://avalanche-c-chain-rpc.publicnode.com",
            ],
            "shortName": "avax",
            "slip44": 9005,
        },
        "fuji": {
            "chain": "AVAX",
            "chainId": 43113,
            "ens": None,
            "explorers": [
                {
                    "name": "Etherscan",
                    "standard": "EIP3091",
                    "url": "https://testnet.snowscan.xyz",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://testnet.snowtrace.io",
                },
                {
                    "name": "Avascan",
                    "standard": "EIP3091",
                    "url": "https://testnet.avascan.info",
                },
            ],
            "faucets": ["https://faucet.avax-test.network/"],
            "features": None,
            "icon": "avax",
            "infoURL": "https://cchain.explorer.avax-test.network",
            "name": "Avalanche Fuji Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Avalanche", "symbol": "AVAX"},
            "networkId": 1,
            "rpc": [
                "https://api.avax-test.network/ext/bc/C/rpc",
                "https://avalanche-fuji-c-chain-rpc.publicnode.com",
            ],
            "shortName": "Fuji",
            "slip44": 1,
        },
    },
    "base": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 8453,
            "ens": None,
            "explorers": [
                {
                    "name": "basescan",
                    "standard": "EIP3091",
                    "url": "https://basescan.org",
                },
                {
                    "icon": "blockscout",
                    "name": "basescout",
                    "standard": "EIP3091",
                    "url": "https://base.blockscout.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://base.dex.guru",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://base.superscan.network",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "base",
            "infoURL": "https://base.org",
            "name": "Base",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 8453,
            "rpc": [
                "https://mainnet.base.org/",
                "https://developer-access-mainnet.base.org/",
                "https://base.gateway.tenderly.co",
                "https://base-rpc.publicnode.com",
            ],
            "shortName": "base",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 84532,
            "ens": None,
            "explorers": [
                {
                    "name": "basescan-sepolia",
                    "standard": "EIP3091",
                    "url": "https://sepolia.basescan.org",
                },
                {
                    "icon": "blockscout",
                    "name": "basescout",
                    "standard": "EIP3091",
                    "url": "https://base-sepolia.blockscout.com",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "baseTestnet",
            "infoURL": "https://base.org",
            "name": "Base Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 84532,
            "rpc": [
                "https://sepolia.base.org",
                "https://base-sepolia-rpc.publicnode.com",
            ],
            "shortName": "basesep",
            "slip44": 1,
        },
    },
    "berachain": {
        "bartio": {
            "chain": "Berachain bArtio",
            "chainId": 80084,
            "ens": None,
            "explorers": [
                {
                    "icon": "berachain",
                    "name": "Beratrail",
                    "standard": "none",
                    "url": "https://bartio.beratrail.io",
                }
            ],
            "faucets": ["https://bartio.faucet.berachain.com"],
            "features": None,
            "icon": "berachain",
            "infoURL": "https://www.berachain.com",
            "name": "Berachain bArtio",
            "nativeCurrency": {"decimals": 18, "name": "BERA Token", "symbol": "BERA"},
            "networkId": 80084,
            "rpc": [
                "https://bartio.rpc.berachain.com",
                "https://bera-testnet.nodeinfra.com",
                "https://bartio.rpc.b-harvest.io",
            ],
            "shortName": "berachainbArtio",
            "slip44": None,
        },
    },
    "blast": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 81457,
            "ens": None,
            "explorers": [
                {
                    "icon": "blast",
                    "name": "Blastscan",
                    "standard": "EIP3091",
                    "url": "https://blastscan.io",
                },
                {
                    "icon": "blast",
                    "name": "Blast Explorer",
                    "standard": "EIP3091",
                    "url": "https://blastexplorer.io",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "blast",
            "infoURL": "https://blast.io/",
            "name": "Blast",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 81457,
            "rpc": [
                "https://rpc.blast.io",
                "https://rpc.ankr.com/blast",
                "https://blast.din.dev/rpc",
                "https://blastl2-mainnet.public.blastapi.io",
                "https://blast.blockpi.network/v1/rpc/public",
                "https://blast-rpc.publicnode.com",
            ],
            "shortName": "blastmainnet",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 168587773,
            "ens": None,
            "explorers": [
                {
                    "icon": "blast",
                    "name": "Blast Sepolia Explorer",
                    "standard": "EIP3091",
                    "url": "https://testnet.blastscan.io",
                }
            ],
            "faucets": ["https://faucet.quicknode.com/blast/sepolia"],
            "features": None,
            "icon": "blast",
            "infoURL": "https://blast.io/",
            "name": "Blast Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 168587773,
            "rpc": ["https://sepolia.blast.io", "https://blast-sepolia.drpc.org"],
            "shortName": "blastsepolia",
            "slip44": None,
        },
        "testnet": {
            "chain": "ETH",
            "chainId": 23888,
            "ens": None,
            "explorers": [
                {
                    "name": "Blast Testnet",
                    "standard": "EIP3091",
                    "url": "http://testnet-explorer.blastblockchain.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "blastIcon",
            "infoURL": "https://docs.blastblockchain.com",
            "name": "Blast Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 23888,
            "rpc": ["http://testnet-rpc.blastblockchain.com"],
            "shortName": "blastT",
            "slip44": None,
        },
    },
    "bsc": {
        "mainnet": {
            "chain": "BSC",
            "chainId": 56,
            "ens": None,
            "explorers": [
                {
                    "name": "bscscan",
                    "standard": "EIP3091",
                    "url": "https://bscscan.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://bnb.dex.guru",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://www.bnbchain.org/en",
            "name": "BNB Smart Chain Mainnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "BNB Chain Native Token",
                "symbol": "BNB",
            },
            "networkId": 56,
            "rpc": [
                "https://bsc-dataseed1.bnbchain.org",
                "https://bsc-dataseed2.bnbchain.org",
                "https://bsc-dataseed3.bnbchain.org",
                "https://bsc-dataseed4.bnbchain.org",
                "https://bsc-dataseed1.defibit.io",
                "https://bsc-dataseed2.defibit.io",
                "https://bsc-dataseed3.defibit.io",
                "https://bsc-dataseed4.defibit.io",
                "https://bsc-dataseed1.ninicoin.io",
                "https://bsc-dataseed2.ninicoin.io",
                "https://bsc-dataseed3.ninicoin.io",
                "https://bsc-dataseed4.ninicoin.io",
                "https://bsc-rpc.publicnode.com",
            ],
            "shortName": "bnb",
            "slip44": 714,
        },
        "testnet": {
            "chain": "BSC",
            "chainId": 97,
            "ens": None,
            "explorers": [
                {
                    "name": "bscscan-testnet",
                    "standard": "EIP3091",
                    "url": "https://testnet.bscscan.com",
                }
            ],
            "faucets": ["https://testnet.bnbchain.org/faucet-smart"],
            "features": None,
            "icon": None,
            "infoURL": "https://www.bnbchain.org/en",
            "name": "BNB Smart Chain Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "BNB Chain Native Token",
                "symbol": "tBNB",
            },
            "networkId": 97,
            "rpc": [
                "https://data-seed-prebsc-1-s1.bnbchain.org:8545",
                "https://data-seed-prebsc-2-s1.bnbchain.org:8545",
                "https://data-seed-prebsc-1-s2.bnbchain.org:8545",
                "https://data-seed-prebsc-2-s2.bnbchain.org:8545",
                "https://data-seed-prebsc-1-s3.bnbchain.org:8545",
                "https://data-seed-prebsc-2-s3.bnbchain.org:8545",
                "https://bsc-testnet-rpc.publicnode.com",
            ],
            "shortName": "bnbt",
            "slip44": 1,
        },
        "opbnb": {
            "chain": "opBNB",
            "chainId": 204,
            "ens": None,
            "explorers": [
                {
                    "name": "opbnbscan",
                    "standard": "EIP3091",
                    "url": "https://mainnet.opbnbscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "bnbchain",
            "infoURL": "https://opbnb.bnbchain.org/en",
            "name": "opBNB Mainnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "BNB Chain Native Token",
                "symbol": "BNB",
            },
            "networkId": 204,
            "rpc": [
                "https://opbnb-mainnet-rpc.bnbchain.org",
                "https://opbnb-mainnet.nodereal.io/v1/64a9df0874fb4a93b9d0a3849de012d3",
                "https://opbnb-mainnet.nodereal.io/v1/e9a36765eb8a40b9bd12e680a1fd2bc5",
                "https://opbnb-rpc.publicnode.com",
                "https://opbnb.drpc.org",
            ],
            "shortName": "obnb",
            "slip44": 714,
        },
        "opbnb-testnet": {
            "chain": "opBNB",
            "chainId": 5611,
            "ens": None,
            "explorers": [
                {
                    "name": "bscscan-opbnb-testnet",
                    "standard": "EIP3091",
                    "url": "https://opbnb-testnet.bscscan.com",
                },
                {
                    "name": "opbnbscan",
                    "standard": "EIP3091",
                    "url": "https://opbnbscan.com",
                },
            ],
            "faucets": ["https://testnet.bnbchain.org/faucet-smart"],
            "features": None,
            "icon": "bnbchain",
            "infoURL": "https://opbnb.bnbchain.org/en",
            "name": "opBNB Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "BNB Chain Native Token",
                "symbol": "tBNB",
            },
            "networkId": 5611,
            "rpc": [
                "https://opbnb-testnet-rpc.bnbchain.org",
                "https://opbnb-testnet.nodereal.io/v1/64a9df0874fb4a93b9d0a3849de012d3",
                "https://opbnb-testnet.nodereal.io/v1/e9a36765eb8a40b9bd12e680a1fd2bc5",
                "https://opbnb-testnet-rpc.publicnode.com",
            ],
            "shortName": "obnbt",
            "slip44": 1,
        },
    },
    "bttc": {
        "mainnet": {
            "chain": "BTTC",
            "chainId": 199,
            "ens": None,
            "explorers": [
                {
                    "name": "BitTorrent Chain Explorer",
                    "standard": "EIP3091",
                    "url": "https://bttcscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "bttc",
            "infoURL": "https://bt.io",
            "name": "BitTorrent Chain Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "BitTorrent", "symbol": "BTT"},
            "networkId": 199,
            "rpc": ["https://rpc.bt.io", "https://bittorrent.drpc.org"],
            "shortName": "BTT",
            "slip44": None,
        },
        "donau": {
            "chain": "BTTC",
            "chainId": 1028,
            "ens": None,
            "explorers": [
                {
                    "name": "testbttcscan",
                    "standard": "none",
                    "url": "https://testscan.bittorrentchain.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://bittorrentchain.io/",
            "name": "BitTorrent Chain Testnet",
            "nativeCurrency": {"decimals": 18, "name": "BitTorrent", "symbol": "BTT"},
            "networkId": 1028,
            "rpc": ["https://testrpc.bittorrentchain.io/"],
            "shortName": "tbtt-deprecated",
            "slip44": 1,
        },
    },
    "celo": {
        "mainnet": {
            "chain": "CELO",
            "chainId": 42220,
            "ens": None,
            "explorers": [
                {
                    "name": "Celoscan",
                    "standard": "EIP3091",
                    "url": "https://celoscan.io",
                },
                {
                    "name": "blockscout",
                    "standard": "none",
                    "url": "https://explorer.celo.org",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://docs.celo.org/",
            "name": "Celo Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "CELO", "symbol": "CELO"},
            "networkId": 42220,
            "rpc": ["https://forno.celo.org"],
            "shortName": "celo",
            "slip44": None,
        },
        "alfajores": {
            "chain": "CELO",
            "chainId": 44787,
            "ens": None,
            "explorers": [
                {
                    "name": "Alfajoresscan",
                    "standard": "EIP3091",
                    "url": "https://alfajores.celoscan.io",
                }
            ],
            "faucets": [
                "https://celo.org/developers/faucet",
                "https://cauldron.pretoriaresearchlab.io/alfajores-faucet",
            ],
            "features": None,
            "icon": None,
            "infoURL": "https://docs.celo.org/",
            "name": "Celo Alfajores Testnet",
            "nativeCurrency": {"decimals": 18, "name": "CELO", "symbol": "CELO"},
            "networkId": 44787,
            "rpc": ["https://alfajores-forno.celo-testnet.org"],
            "shortName": "ALFA",
            "slip44": 1,
        },
    },
    "cronos": {
        "mainnet": {
            "chain": "CRO",
            "chainId": 25,
            "ens": None,
            "explorers": [
                {
                    "name": "Cronos Explorer",
                    "standard": "none",
                    "url": "https://explorer.cronos.org",
                }
            ],
            "faucets": [],
            "features": [{"name": "EIP1559"}],
            "icon": None,
            "infoURL": "https://cronos.org/",
            "name": "Cronos Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Cronos", "symbol": "CRO"},
            "networkId": 25,
            "rpc": [
                "https://evm.cronos.org",
                "https://cronos-evm-rpc.publicnode.com",
                "https://cronos.drpc.org",
            ],
            "shortName": "cro",
            "slip44": None,
        },
        "testnet": {
            "chain": "CRO",
            "chainId": 338,
            "ens": None,
            "explorers": [
                {
                    "name": "Cronos Testnet Explorer",
                    "standard": "none",
                    "url": "https://explorer.cronos.org/testnet",
                }
            ],
            "faucets": ["https://cronos.org/faucet"],
            "features": None,
            "icon": None,
            "infoURL": "https://cronos.org",
            "name": "Cronos Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Cronos Test Coin",
                "symbol": "TCRO",
            },
            "networkId": 338,
            "rpc": ["https://evm-t3.cronos.org", "https://cronos-testnet.drpc.org"],
            "shortName": "tcro",
            "slip44": 1,
        },
    },
    "cronos-zkevm": {
        "mainnet": {
            "chain": "CronosZkEVMMainnet",
            "chainId": 388,
            "ens": None,
            "explorers": [
                {
                    "name": "Cronos zkEVM (Mainnet) Chain Explorer",
                    "standard": "none",
                    "url": "https://explorer.zkevm.cronos.org",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://cronos.org/zkevm",
            "name": "Cronos zkEVM Mainnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Cronos zkEVM CRO",
                "symbol": "zkCRO",
            },
            "networkId": 388,
            "rpc": ["https://mainnet.zkevm.cronos.org"],
            "shortName": "zkCRO",
            "slip44": None,
        },
        "testnet": {
            "chain": "deprecatedCronosZkEVMTestnet",
            "chainId": 282,
            "ens": None,
            "explorers": [
                {
                    "name": "Cronos zkEVM Testnet Explorer",
                    "standard": "none",
                    "url": "https://explorer.zkevm.cronos.org/testnet",
                }
            ],
            "faucets": ["https://zkevm.cronos.org/faucet"],
            "features": None,
            "icon": None,
            "infoURL": "https://docs-zkevm.cronos.org",
            "name": "Deprecated Cronos zkEVM Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Cronos zkEVM Test Coin",
                "symbol": "zkTCRO",
            },
            "networkId": 282,
            "rpc": ["https://deprecated.testnet.zkevm.cronos.org"],
            "shortName": "deprecated-zkTCRO",
            "slip44": 1,
        },
    },
    "crossfi": {
        "mainnet": {
            "chain": "crossfi",
            "chainId": 4158,
            "ens": None,
            "explorers": [
                {
                    "name": "CrossFi Mainnet Scan",
                    "standard": "none",
                    "url": "https://xfiscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "crossfi",
            "infoURL": "https://crossfi.org",
            "name": "CrossFi Mainnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "CrossFi Token",
                "symbol": "XFI",
            },
            "networkId": 4158,
            "rpc": ["https://rpc.mainnet.ms/"],
            "shortName": "crossfi",
            "slip44": 1,
        },
        "testnet": {
            "chain": "XFI",
            "chainId": 4157,
            "ens": None,
            "explorers": [
                {
                    "icon": "crossfi",
                    "name": "CrossFi Testnet Scan",
                    "standard": "EIP3091",
                    "url": "https://test.xfiscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "crossfi",
            "infoURL": "https://crossfi.org",
            "name": "CrossFi Testnet",
            "nativeCurrency": {"decimals": 18, "name": "XFI", "symbol": "XFI"},
            "networkId": 4157,
            "rpc": ["https://rpc.testnet.ms"],
            "shortName": "crossfi-testnet",
            "slip44": 1,
        },
    },
    "ethereum": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 1,
            "ens": {"registry": "0x00000000000C2E074eC69A0dFb2997BA6C7d2e1e"},
            "explorers": [
                {
                    "name": "etherscan",
                    "standard": "EIP3091",
                    "url": "https://etherscan.io",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://eth.blockscout.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://ethereum.dex.guru",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://ethereum.routescan.io",
                },
            ],
            "faucets": [],
            "features": [{"name": "EIP155"}, {"name": "EIP1559"}],
            "icon": "ethereum",
            "infoURL": "https://ethereum.org",
            "name": "Ethereum Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 1,
            "rpc": [
                "https://mainnet.infura.io/v3/${INFURA_API_KEY}",
                "https://api.mycryptoapi.com/eth",
                "https://cloudflare-eth.com",
                "https://ethereum-rpc.publicnode.com",
                "https://mainnet.gateway.tenderly.co",
                "https://rpc.flashbots.net",
                "https://rpc.flashbots.net/fast",
                "https://rpc.mevblocker.io",
                "https://rpc.mevblocker.io/fast",
                "https://rpc.mevblocker.io/noreverts",
                "https://rpc.mevblocker.io/fullprivacy",
                "https://eth.drpc.org",
                "https://api.securerpc.com/v1",
            ],
            "shortName": "eth",
            "slip44": 60,
        },
        "goerli": {
            "chain": "ETH",
            "chainId": 5,
            "ens": {"registry": "0x112234455c3a32fd11230c42e7bccd4a84e02010"},
            "explorers": [
                {
                    "name": "etherscan-goerli",
                    "standard": "EIP3091",
                    "url": "https://goerli.etherscan.io",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout-goerli",
                    "standard": "EIP3091",
                    "url": "https://eth-goerli.blockscout.com",
                },
            ],
            "faucets": [
                "http://fauceth.komputing.org?chain=5&address=${ADDRESS}",
                "https://goerli-faucet.slock.it?address=${ADDRESS}",
                "https://faucet.goerli.mudit.blog",
            ],
            "features": None,
            "icon": None,
            "infoURL": "https://goerli.net/#about",
            "name": "Goerli",
            "nativeCurrency": {"decimals": 18, "name": "Goerli Ether", "symbol": "ETH"},
            "networkId": 5,
            "rpc": [
                "https://goerli.infura.io/v3/${INFURA_API_KEY}",
                "https://rpc.goerli.mudit.blog/",
                "https://ethereum-goerli-rpc.publicnode.com",
                "https://goerli.gateway.tenderly.co",
            ],
            "shortName": "gor",
            "slip44": 1,
        },
        "holesky": {
            "chain": "ETH",
            "chainId": 17000,
            "ens": None,
            "explorers": [
                {
                    "icon": "ethereum",
                    "name": "Holesky Explorer",
                    "standard": "EIP3091",
                    "url": "https://holesky.beaconcha.in",
                },
                {
                    "icon": "ethereum",
                    "name": "otterscan-holesky",
                    "standard": "EIP3091",
                    "url": "https://holesky.otterscan.io",
                },
                {
                    "icon": "ethereum",
                    "name": "Holesky Etherscan",
                    "standard": "EIP3091",
                    "url": "https://holesky.etherscan.io",
                },
            ],
            "faucets": [
                "https://faucet.holesky.ethpandaops.io",
                "https://holesky-faucet.pk910.de",
            ],
            "features": None,
            "icon": "ethereum",
            "infoURL": "https://holesky.ethpandaops.io",
            "name": "Holesky",
            "nativeCurrency": {"decimals": 18, "name": "Testnet ETH", "symbol": "ETH"},
            "networkId": 17000,
            "rpc": [
                "https://rpc.holesky.ethpandaops.io",
                "https://ethereum-holesky-rpc.publicnode.com",
                "https://holesky.drpc.org",
                "https://rpc-holesky.rockx.com",
            ],
            "shortName": "holesky",
            "slip44": 1,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 11155111,
            "ens": None,
            "explorers": [
                {
                    "name": "etherscan-sepolia",
                    "standard": "EIP3091",
                    "url": "https://sepolia.etherscan.io",
                },
                {
                    "name": "otterscan-sepolia",
                    "standard": "EIP3091",
                    "url": "https://sepolia.otterscan.io",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://11155111.testnet.routescan.io",
                },
            ],
            "faucets": [
                "http://fauceth.komputing.org?chain=11155111&address=${ADDRESS}"
            ],
            "features": None,
            "icon": None,
            "infoURL": "https://sepolia.otterscan.io",
            "name": "Sepolia",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 11155111,
            "rpc": [
                "https://rpc.sepolia.org",
                "https://rpc2.sepolia.org",
                "https://rpc.sepolia.ethpandaops.io",
                "https://sepolia.infura.io/v3/${INFURA_API_KEY}",
                "https://sepolia.gateway.tenderly.co",
                "https://ethereum-sepolia-rpc.publicnode.com",
                "https://sepolia.drpc.org",
                "https://eth-sepolia.g.alchemy.com/v2/WddzdzI2o9S3COdT73d5w6AIogbKq4X-",
            ],
            "shortName": "sep",
            "slip44": 1,
        },
    },
    "fantom": {
        "mainnet": {
            "chain": "FTM",
            "chainId": 250,
            "ens": None,
            "explorers": [
                {
                    "icon": "ftmscan",
                    "name": "ftmscan",
                    "standard": "EIP3091",
                    "url": "https://ftmscan.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://fantom.dex.guru",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "fantom",
            "infoURL": "https://fantom.foundation",
            "name": "Fantom Opera",
            "nativeCurrency": {"decimals": 18, "name": "Fantom", "symbol": "FTM"},
            "networkId": 250,
            "rpc": [
                "https://rpc.ftm.tools",
                "https://fantom-rpc.publicnode.com",
                "https://fantom.drpc.org",
            ],
            "shortName": "ftm",
            "slip44": None,
        },
        "testnet": {
            "chain": "FTM",
            "chainId": 4002,
            "ens": None,
            "explorers": [
                {
                    "icon": "ftmscan",
                    "name": "ftmscan",
                    "standard": "EIP3091",
                    "url": "https://testnet.ftmscan.com",
                }
            ],
            "faucets": ["https://faucet.fantom.network"],
            "features": None,
            "icon": "fantom",
            "infoURL": "https://docs.fantom.foundation/quick-start/short-guide#fantom-testnet",
            "name": "Fantom Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Fantom", "symbol": "FTM"},
            "networkId": 4002,
            "rpc": [
                "https://rpc.testnet.fantom.network",
                "https://fantom-testnet-rpc.publicnode.com",
                "https://fantom-testnet.drpc.org",
            ],
            "shortName": "tftm",
            "slip44": 1,
        },
    },
    "filecoin": {
        "mainnet": {
            "chain": "FIL",
            "chainId": 314,
            "ens": None,
            "explorers": [
                {"name": "Filfox", "standard": "none", "url": "https://filfox.info/en"},
                {"name": "Beryx", "standard": "none", "url": "https://beryx.zondax.ch"},
                {
                    "name": "Glif Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.glif.io",
                },
                {
                    "name": "Dev.storage",
                    "standard": "none",
                    "url": "https://dev.storage",
                },
                {"name": "Filscan", "standard": "none", "url": "https://filscan.io"},
                {
                    "name": "Filscout",
                    "standard": "none",
                    "url": "https://filscout.io/en",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "filecoin",
            "infoURL": "https://filecoin.io",
            "name": "Filecoin - Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "filecoin", "symbol": "FIL"},
            "networkId": 314,
            "rpc": [
                "https://api.node.glif.io/",
                "https://rpc.ankr.com/filecoin",
                "https://filecoin-mainnet.chainstacklabs.com/rpc/v1",
                "https://filfox.info/rpc/v1",
                "https://filecoin.drpc.org",
            ],
            "shortName": "filecoin",
            "slip44": 461,
        },
        "calibration": {
            "chain": "FIL",
            "chainId": 314159,
            "ens": None,
            "explorers": [
                {
                    "name": "Filscan - Calibration",
                    "standard": "none",
                    "url": "https://calibration.filscan.io",
                },
                {
                    "name": "Filscout - Calibration",
                    "standard": "none",
                    "url": "https://calibration.filscout.com/en",
                },
                {
                    "name": "Filfox - Calibration",
                    "standard": "none",
                    "url": "https://calibration.filfox.info",
                },
                {
                    "name": "Glif Explorer - Calibration",
                    "standard": "none",
                    "url": "https://explorer.glif.io/?network=calibration",
                },
                {"name": "Beryx", "standard": "none", "url": "https://beryx.zondax.ch"},
            ],
            "faucets": ["https://faucet.calibration.fildev.network/"],
            "features": None,
            "icon": "filecoin",
            "infoURL": "https://filecoin.io",
            "name": "Filecoin - Calibration testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "testnet filecoin",
                "symbol": "tFIL",
            },
            "networkId": 314159,
            "rpc": [
                "https://api.calibration.node.glif.io/rpc/v1",
                "https://rpc.ankr.com/filecoin_testnet",
                "https://filecoin-calibration.chainstacklabs.com/rpc/v1",
                "https://filecoin-calibration.chainup.net/rpc/v1",
                "https://calibration.filfox.info/rpc/v1",
                "https://filecoin-calibration.drpc.org",
            ],
            "shortName": "filecoin-calibration",
            "slip44": 1,
        },
    },
    "flow-evm": {
        "mainnet": {
            "chain": "Flow",
            "chainId": 747,
            "ens": None,
            "explorers": [
                {
                    "name": "FlowScan",
                    "standard": "EIP3091",
                    "url": "https://evm.flowscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "flowevm",
            "infoURL": "https://developers.flow.com/evm/about",
            "name": "Flow EVM Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "FLOW", "symbol": "FLOW"},
            "networkId": 747,
            "rpc": ["https://mainnet.evm.nodes.onflow.org"],
            "shortName": "flow-mainnet",
            "slip44": None,
        },
        "testnet": {
            "chain": "Flow",
            "chainId": 545,
            "ens": None,
            "explorers": [
                {
                    "name": "FlowScan Testnet",
                    "standard": "EIP3091",
                    "url": "https://evm-testnet.flowscan.io",
                }
            ],
            "faucets": ["https://faucet.flow.com/fund-account"],
            "features": None,
            "icon": "flowevm",
            "infoURL": "https://developers.flow.com/evm/about",
            "name": "Flow EVM Testnet",
            "nativeCurrency": {"decimals": 18, "name": "FLOW", "symbol": "FLOW"},
            "networkId": 545,
            "rpc": ["https://testnet.evm.nodes.onflow.org"],
            "shortName": "flow-testnet",
            "slip44": None,
        },
    },
    "fraxtal": {
        "mainnet": {
            "chain": "FRAX",
            "chainId": 252,
            "ens": None,
            "explorers": [
                {
                    "name": "fraxscan",
                    "standard": "EIP3091",
                    "url": "https://fraxscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "fraxtal",
            "infoURL": "https://mainnet.frax.com",
            "name": "Fraxtal",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Frax Ether",
                "symbol": "frxETH",
            },
            "networkId": 252,
            "rpc": ["https://rpc.frax.com", "https://fraxtal-rpc.publicnode.com"],
            "shortName": "fraxtal",
            "slip44": None,
        },
        "holesky": {
            "chain": "FRAX",
            "chainId": 2522,
            "ens": None,
            "explorers": [
                {
                    "name": "fraxscan",
                    "standard": "EIP3091",
                    "url": "https://holesky.fraxscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "fraxtal",
            "infoURL": "https://testnet.frax.com",
            "name": "Fraxtal Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Frax Ether",
                "symbol": "frxETH",
            },
            "networkId": 2522,
            "rpc": [
                "https://rpc.testnet.frax.com",
                "https://fraxtal-holesky-rpc.publicnode.com",
            ],
            "shortName": "fraxtal-testnet",
            "slip44": 1,
        },
    },
    "geist": {
        "mainnet": {
            "chain": "Geist",
            "chainId": 63157,
            "ens": None,
            "explorers": [
                {
                    "name": "Geist Explorer",
                    "standard": "EIP3091",
                    "url": "https://geist-mainnet.explorer.alchemy.com",
                }
            ],
            "faucets": [],
            "features": [],
            "icon": "geist",
            "infoURL": "https://playongeist.com",
            "name": "Geist Mainnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Aavegotchi GHST Token",
                "symbol": "GHST",
            },
            "networkId": 63157,
            "rpc": ["https://geist-mainnet.g.alchemy.com/public"],
            "shortName": "geist",
            "slip44": None,
        },
        "polter": {
            "chain": "Geist",
            "chainId": 631571,
            "ens": None,
            "explorers": [
                {
                    "name": "Polter Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://polter-testnet.explorer.alchemy.com",
                }
            ],
            "faucets": [],
            "features": [],
            "icon": "polterGeist",
            "infoURL": "https://playongeist.com",
            "name": "Polter Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Polter GHST", "symbol": "GHST"},
            "networkId": 631571,
            "rpc": ["https://geist-polter.g.alchemy.com/public"],
            "shortName": "poltergeist",
            "slip44": None,
        },
    },
    "gnosis": {
        "chiado": {
            "chain": "GNO",
            "chainId": 10200,
            "ens": None,
            "explorers": [
                {
                    "icon": "blockscout",
                    "name": "blockscout-chiadochain",
                    "standard": "EIP3091",
                    "url": "https://blockscout.chiadochain.net",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://gnosis-chiado.blockscout.com",
                },
            ],
            "faucets": ["https://gnosisfaucet.com"],
            "features": None,
            "icon": "gnosis",
            "infoURL": "https://docs.gnosischain.com",
            "name": "Gnosis Chiado Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Chiado xDAI", "symbol": "XDAI"},
            "networkId": 10200,
            "rpc": [
                "https://rpc.chiadochain.net",
                "https://rpc.chiado.gnosis.gateway.fm",
                "https://gnosis-chiado-rpc.publicnode.com",
                "https://gnosis-chiado.drpc.org",
            ],
            "shortName": "chi",
            "slip44": 1,
        },
        "mainnet": {
            "chain": "GNO",
            "chainId": 100,
            "ens": None,
            "explorers": [
                {
                    "name": "gnosisscan",
                    "standard": "EIP3091",
                    "url": "https://gnosisscan.io",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://gnosis.blockscout.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://gnosis.dex.guru",
                },
            ],
            "faucets": [
                "https://gnosisfaucet.com",
                "https://stakely.io/faucet/gnosis-chain-xdai",
                "https://faucet.prussia.dev/xdai",
            ],
            "features": None,
            "icon": "gnosis",
            "infoURL": "https://docs.gnosischain.com",
            "name": "Gnosis",
            "nativeCurrency": {"decimals": 18, "name": "xDAI", "symbol": "XDAI"},
            "networkId": 100,
            "rpc": [
                "https://rpc.gnosischain.com",
                "https://rpc.gnosis.gateway.fm",
                "https://rpc.ankr.com/gnosis",
                "https://gnosischain-rpc.gateway.pokt.network",
                "https://gnosis-mainnet.public.blastapi.io",
                "https://gnosis.api.onfinality.io/public",
                "https://gnosis.blockpi.network/v1/rpc/public",
                "https://web3endpoints.com/gnosischain-mainnet",
                "https://gnosis.oat.farm",
                "https://gnosis-rpc.publicnode.com",
            ],
            "shortName": "gno",
            "slip44": 700,
        },
    },
    "kroma": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 255,
            "ens": None,
            "explorers": [
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://blockscout.kroma.network",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "kroma",
            "infoURL": "https://kroma.network",
            "name": "Kroma",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 255,
            "rpc": ["https://api.kroma.network", "https://rpc-kroma.rockx.com"],
            "shortName": "kroma",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 2358,
            "ens": None,
            "explorers": [
                {
                    "icon": "kroma",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://blockscout.sepolia.kroma.network",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "kroma",
            "infoURL": "https://kroma.network",
            "name": "Kroma Sepolia",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 2358,
            "rpc": ["https://api.sepolia.kroma.network"],
            "shortName": "kroma-sepolia",
            "slip44": 1,
        },
    },
    "lens": {
        "sepolia": {
            "chain": "Lens",
            "chainId": 37111,
            "ens": None,
            "explorers": [
                {
                    "name": "Lens Testnet Block Explorer",
                    "standard": "none",
                    "url": "https://block-explorer.testnet.lens.dev",
                }
            ],
            "faucets": ["https://www.alchemy.com/faucets/lens-sepolia"],
            "features": None,
            "icon": "lens",
            "infoURL": "https://www.lens.xyz",
            "name": "Lens Testnet",
            "nativeCurrency": {"decimals": 18, "name": "GRASS", "symbol": "GRASS"},
            "networkId": 37111,
            "rpc": ["https://rpc.testnet.lens.dev"],
            "shortName": "lens-sepolia",
            "slip44": None,
        },
    },
    "linea": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 59144,
            "ens": None,
            "explorers": [
                {
                    "icon": "linea",
                    "name": "Etherscan",
                    "standard": "EIP3091",
                    "url": "https://lineascan.build",
                },
                {
                    "icon": "linea",
                    "name": "Blockscout",
                    "standard": "EIP3091",
                    "url": "https://explorer.linea.build",
                },
                {
                    "icon": "linea",
                    "name": "L2scan",
                    "standard": "EIP3091",
                    "url": "https://linea.l2scan.co",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "linea",
            "infoURL": "https://linea.build",
            "name": "Linea",
            "nativeCurrency": {"decimals": 18, "name": "Linea Ether", "symbol": "ETH"},
            "networkId": 59144,
            "rpc": [
                "https://rpc.linea.build",
                "https://linea-mainnet.infura.io/v3/${INFURA_API_KEY}",
                "https://linea-rpc.publicnode.com",
            ],
            "shortName": "linea",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 59141,
            "ens": None,
            "explorers": [
                {
                    "icon": "linea",
                    "name": "Etherscan",
                    "standard": "EIP3091",
                    "url": "https://sepolia.lineascan.build",
                },
                {
                    "icon": "linea",
                    "name": "Blockscout",
                    "standard": "EIP3091",
                    "url": "https://explorer.sepolia.linea.build",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "linea",
            "infoURL": "https://linea.build",
            "name": "Linea Sepolia",
            "nativeCurrency": {"decimals": 18, "name": "Linea Ether", "symbol": "ETH"},
            "networkId": 59141,
            "rpc": [
                "https://rpc.sepolia.linea.build",
                "https://linea-sepolia.infura.io/v3/${INFURA_API_KEY}",
                "https://linea-sepolia-rpc.publicnode.com",
            ],
            "shortName": "linea-sepolia",
            "slip44": 1,
        },
    },
    "lumia": {
        "prism": {
            "chain": "ETH",
            "chainId": 994873017,
            "ens": None,
            "explorers": [
                {
                    "name": "Lumia Mainnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.lumia.org",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "lumia",
            "infoURL": "https://lumia.org",
            "name": "Lumia Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Lumia", "symbol": "LUMIA"},
            "networkId": 994873017,
            "rpc": ["https://mainnet-rpc.lumia.org"],
            "shortName": "lumia-mainnet",
            "slip44": None,
        },
        "testnet": {
            "chain": "ETH",
            "chainId": 1952959480,
            "ens": None,
            "explorers": [
                {
                    "icon": "lumia",
                    "name": "Lumia Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://testnet-explorer.lumia.org",
                }
            ],
            "faucets": ["https://testnet-faucet.lumia.org"],
            "features": [{"name": "EIP155"}, {"name": "EIP1559"}],
            "icon": "lumia",
            "infoURL": "https://lumia.org",
            "name": "Lumia Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Lumia", "symbol": "LUMIA"},
            "networkId": 1952959480,
            "rpc": ["https://testnet-rpc.lumia.org"],
            "shortName": "lumiatestnet",
            "slip44": None,
        },
    },
    "mantle": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 5000,
            "ens": None,
            "explorers": [
                {
                    "name": "mantlescan",
                    "standard": "EIP3091",
                    "url": "https://mantlescan.xyz",
                },
                {
                    "name": "Mantle Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.mantle.xyz",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "mantle",
            "infoURL": "https://mantle.xyz",
            "name": "Mantle",
            "nativeCurrency": {"decimals": 18, "name": "Mantle", "symbol": "MNT"},
            "networkId": 5000,
            "rpc": ["https://rpc.mantle.xyz", "https://mantle-rpc.publicnode.com"],
            "shortName": "mantle",
            "slip44": None,
        },
        "testnet": {
            "chain": "ETH",
            "chainId": 5001,
            "ens": None,
            "explorers": [
                {
                    "name": "Mantle Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.testnet.mantle.xyz",
                }
            ],
            "faucets": ["https://faucet.testnet.mantle.xyz"],
            "features": None,
            "icon": None,
            "infoURL": "https://mantle.xyz",
            "name": "Mantle Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Testnet Mantle",
                "symbol": "MNT",
            },
            "networkId": 5001,
            "rpc": ["https://rpc.testnet.mantle.xyz"],
            "shortName": "mantle-testnet",
            "slip44": 1,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 5003,
            "ens": None,
            "explorers": [
                {
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://explorer.sepolia.mantle.xyz",
                }
            ],
            "faucets": ["https://faucet.sepolia.mantle.xyz"],
            "features": None,
            "icon": None,
            "infoURL": "https://mantle.xyz",
            "name": "Mantle Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Mantle",
                "symbol": "MNT",
            },
            "networkId": 5003,
            "rpc": ["https://rpc.sepolia.mantle.xyz"],
            "shortName": "mnt-sep",
            "slip44": 1,
        },
    },
    "metis": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 1088,
            "ens": None,
            "explorers": [
                {
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://andromeda-explorer.metis.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://www.metis.io",
            "name": "Metis Andromeda Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Metis", "symbol": "METIS"},
            "networkId": 1088,
            "rpc": [
                "https://andromeda.metis.io/?owner=1088",
                "https://metis.drpc.org",
                "https://metis-rpc.publicnode.com",
            ],
            "shortName": "metis-andromeda",
            "slip44": None,
        },
    },
    "moonbeam": {
        "mainnet": {
            "chain": "MOON",
            "chainId": 1284,
            "ens": None,
            "explorers": [
                {
                    "name": "moonscan",
                    "standard": "none",
                    "url": "https://moonbeam.moonscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "moonbeam",
            "infoURL": "https://moonbeam.network/networks/moonbeam/",
            "name": "Moonbeam",
            "nativeCurrency": {"decimals": 18, "name": "Glimmer", "symbol": "GLMR"},
            "networkId": 1284,
            "rpc": [
                "https://rpc.api.moonbeam.network",
                "https://moonbeam.public.blastapi.io",
                "https://moonbeam-rpc.dwellir.com",
                "https://moonbeam.api.onfinality.io/public",
                "https://moonbeam.unitedbloc.com",
                "https://moonbeam-rpc.publicnode.com",
                "https://moonbeam.drpc.org",
            ],
            "shortName": "mbeam",
            "slip44": None,
        },
        "moonbase": {
            "chain": "MOON",
            "chainId": 1287,
            "ens": None,
            "explorers": [
                {
                    "name": "moonscan",
                    "standard": "none",
                    "url": "https://moonbase.moonscan.io",
                }
            ],
            "faucets": ["https://faucet.moonbeam.network/"],
            "features": None,
            "icon": "moonbasealpha",
            "infoURL": "https://docs.moonbeam.network/learn/platform/networks/moonbase/",
            "name": "Moonbase Alpha",
            "nativeCurrency": {"decimals": 18, "name": "Dev", "symbol": "DEV"},
            "networkId": 1287,
            "rpc": [
                "https://rpc.api.moonbase.moonbeam.network",
                "https://moonbase-alpha.public.blastapi.io",
                "https://moonbase-rpc.dwellir.com",
                "https://moonbeam-alpha.api.onfinality.io/public",
                "https://moonbase.unitedbloc.com",
                "https://moonbase-alpha.drpc.org",
            ],
            "shortName": "mbase",
            "slip44": 1,
        },
        "moonriver": {
            "chain": "MOON",
            "chainId": 1285,
            "ens": None,
            "explorers": [
                {
                    "name": "moonscan",
                    "standard": "none",
                    "url": "https://moonriver.moonscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "moonriver",
            "infoURL": "https://moonbeam.network/networks/moonriver/",
            "name": "Moonriver",
            "nativeCurrency": {"decimals": 18, "name": "Moonriver", "symbol": "MOVR"},
            "networkId": 1285,
            "rpc": [
                "https://rpc.api.moonriver.moonbeam.network",
                "https://moonriver.public.blastapi.io",
                "https://moonriver-rpc.dwellir.com",
                "https://moonriver.api.onfinality.io/public",
                "https://moonriver.unitedbloc.com",
                "https://moonriver-rpc.publicnode.com",
                "https://moonriver.drpc.org",
            ],
            "shortName": "mriver",
            "slip44": None,
        },
    },
    "optimism": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 10,
            "ens": None,
            "explorers": [
                {
                    "name": "etherscan",
                    "standard": "EIP3091",
                    "url": "https://optimistic.etherscan.io",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://optimism.blockscout.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://optimism.dex.guru",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://mainnet.superscan.network",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://optimism.io",
            "name": "OP Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 10,
            "rpc": [
                "https://mainnet.optimism.io",
                "https://optimism-rpc.publicnode.com",
                "https://optimism.gateway.tenderly.co",
                "https://optimism.drpc.org",
            ],
            "shortName": "oeth",
            "slip44": None,
        },
        "goerli": {
            "chain": "ETH",
            "chainId": 420,
            "ens": None,
            "explorers": [
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://optimism-goerli.blockscout.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://optimism.io",
            "name": "Optimism Goerli Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Goerli Ether", "symbol": "ETH"},
            "networkId": 420,
            "rpc": [
                "https://goerli.optimism.io",
                "https://optimism-goerli-rpc.publicnode.com",
                "https://optimism-goerli.gateway.tenderly.co",
                "https://optimism-testnet.drpc.org",
            ],
            "shortName": "ogor",
            "slip44": 1,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 11155420,
            "ens": None,
            "explorers": [
                {
                    "name": "etherscan-sepolia-optimism",
                    "standard": "EIP3091",
                    "url": "https://sepolia-optimism.etherscan.io",
                },
                {
                    "icon": "blockscout",
                    "name": "opscout",
                    "standard": "EIP3091",
                    "url": "https://optimism-sepolia.blockscout.com",
                },
            ],
            "faucets": ["https://app.optimism.io/faucet"],
            "features": None,
            "icon": None,
            "infoURL": "https://optimism.io",
            "name": "OP Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 11155420,
            "rpc": ["https://sepolia.optimism.io", "https://optimism-sepolia.drpc.org"],
            "shortName": "opsep",
            "slip44": 1,
        },
    },
    "oort": {
        "mainnet": {
            "chain": "Oort Mainnet",
            "chainId": 970,
            "ens": None,
            "explorers": [
                {
                    "icon": "oort",
                    "name": "Oort Mainnet Explorer",
                    "standard": "none",
                    "url": "https://mainnet-scan.oortech.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "oort",
            "infoURL": "https://oortech.com",
            "name": "Oort Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Oort", "symbol": "OORT"},
            "networkId": 970,
            "rpc": ["https://mainnet-rpc.oortech.com"],
            "shortName": "ccn",
            "slip44": None,
        },
        "dev": {
            "chain": "MainnetDev",
            "chainId": 9700,
            "ens": None,
            "explorers": [
                {
                    "icon": "oort",
                    "name": "Oort MainnetDev Scan",
                    "standard": "none",
                    "url": "https://dev-scan.oortech.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "oort",
            "infoURL": "https://oortech.com",
            "name": "Oort MainnetDev",
            "nativeCurrency": {"decimals": 18, "name": "Oort", "symbol": "OORT"},
            "networkId": 9700,
            "rpc": ["https://dev-rpc.oortech.com"],
            "shortName": "MainnetDev",
            "slip44": None,
        },
    },
    "palm": {
        "mainnet": {
            "chain": "Palm",
            "chainId": 11297108109,
            "ens": None,
            "explorers": [
                {
                    "name": "Chainlens",
                    "standard": "EIP3091",
                    "url": "https://palm.chainlens.com",
                },
                {
                    "name": "Dora",
                    "standard": "none",
                    "url": "https://www.ondora.xyz/network/palm",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "palm",
            "infoURL": "https://palm.network",
            "name": "Palm",
            "nativeCurrency": {"decimals": 18, "name": "PALM", "symbol": "PALM"},
            "networkId": 11297108109,
            "rpc": [
                "https://palm-mainnet.infura.io/v3/${INFURA_API_KEY}",
                "https://palm-mainnet.public.blastapi.io",
            ],
            "shortName": "palm",
            "slip44": None,
        },
        "testnet": {
            "chain": "Palm",
            "chainId": 11297108099,
            "ens": None,
            "explorers": [
                {
                    "name": "Chainlens",
                    "standard": "EIP3091",
                    "url": "https://testnet.palm.chainlens.com",
                },
                {
                    "name": "Dora",
                    "standard": "none",
                    "url": "https://www.ondora.xyz/network/palm-testnet",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "palm",
            "infoURL": "https://palm.network",
            "name": "Palm Testnet",
            "nativeCurrency": {"decimals": 18, "name": "PALM", "symbol": "PALM"},
            "networkId": 11297108099,
            "rpc": [
                "https://palm-testnet.infura.io/v3/${INFURA_API_KEY}",
                "https://palm-testnet.public.blastapi.io",
            ],
            "shortName": "tpalm",
            "slip44": 1,
        },
    },
    "polygon": {
        "mainnet": {
            "chain": "Polygon",
            "chainId": 137,
            "ens": None,
            "explorers": [
                {
                    "name": "polygonscan",
                    "standard": "EIP3091",
                    "url": "https://polygonscan.com",
                },
                {
                    "icon": "dexguru",
                    "name": "dexguru",
                    "standard": "EIP3091",
                    "url": "https://polygon.dex.guru",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "polygon",
            "infoURL": "https://polygon.technology/",
            "name": "Polygon Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "POL", "symbol": "POL"},
            "networkId": 137,
            "rpc": [
                "https://polygon-rpc.com/",
                "https://rpc-mainnet.matic.network",
                "https://matic-mainnet.chainstacklabs.com",
                "https://rpc-mainnet.maticvigil.com",
                "https://rpc-mainnet.matic.quiknode.pro",
                "https://matic-mainnet-full-rpc.bwarelabs.com",
                "https://polygon-bor-rpc.publicnode.com",
                "https://polygon.gateway.tenderly.co",
                "https://polygon.drpc.org",
            ],
            "shortName": "pol",
            "slip44": 966,
        },
        "mumbai": {
            "chain": "Polygon",
            "chainId": 80001,
            "ens": None,
            "explorers": [
                {
                    "name": "polygonscan",
                    "standard": "EIP3091",
                    "url": "https://mumbai.polygonscan.com",
                }
            ],
            "faucets": ["https://faucet.polygon.technology/"],
            "features": None,
            "icon": "polygon",
            "infoURL": "https://polygon.technology/",
            "name": "Mumbai",
            "nativeCurrency": {"decimals": 18, "name": "MATIC", "symbol": "MATIC"},
            "networkId": 80001,
            "rpc": [
                "https://rpc-mumbai.maticvigil.com",
                "https://polygon-mumbai-bor-rpc.publicnode.com",
                "https://polygon-mumbai.gateway.tenderly.co",
            ],
            "shortName": "maticmum",
            "slip44": 1,
        },
        "amoy": {
            "chain": "Polygon",
            "chainId": 80002,
            "ens": None,
            "explorers": [
                {
                    "name": "polygonscan-amoy",
                    "standard": "EIP3091",
                    "url": "https://amoy.polygonscan.com",
                },
                {
                    "name": "polygonamoy",
                    "standard": "EIP3091",
                    "url": "https://www.oklink.com/amoy",
                },
            ],
            "faucets": ["https://faucet.polygon.technology/"],
            "features": None,
            "icon": "polygon",
            "infoURL": "https://polygon.technology/",
            "name": "Amoy",
            "nativeCurrency": {"decimals": 18, "name": "POL", "symbol": "POL"},
            "networkId": 80002,
            "rpc": [
                "https://rpc-amoy.polygon.technology",
                "https://polygon-amoy-bor-rpc.publicnode.com",
            ],
            "shortName": "polygonamoy",
            "slip44": 1,
        },
    },
    "polygon-zkevm": {
        "mainnet": {
            "chain": "Polygon",
            "chainId": 1101,
            "ens": None,
            "explorers": [
                {
                    "icon": "zkevm",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://zkevm.polygonscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zkevm",
            "infoURL": "https://polygon.technology/polygon-zkevm",
            "name": "Polygon zkEVM",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 1101,
            "rpc": ["https://zkevm-rpc.com", "https://polygon-zkevm.drpc.org"],
            "shortName": "zkevm",
            "slip44": None,
        },
        "testnet": {
            "chain": "Polygon",
            "chainId": 1442,
            "ens": None,
            "explorers": [
                {
                    "name": "Polygon zkEVM explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.public.zkevm-test.net",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://polygon.technology/solutions/polygon-zkevm/",
            "name": "Polygon zkEVM Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 1442,
            "rpc": [
                "https://rpc.public.zkevm-test.net",
                "https://polygon-zkevm-testnet.drpc.org",
            ],
            "shortName": "testnet-zkEVM-mango",
            "slip44": 1,
        },
        "cardona": {
            "chain": "Polygon",
            "chainId": 2442,
            "ens": None,
            "explorers": [
                {
                    "name": "polygonscan",
                    "standard": "EIP3091",
                    "url": "https://cardona-zkevm.polygonscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zkevm",
            "infoURL": "https://polygon.technology/polygon-zkevm",
            "name": "Polygon zkEVM Cardona Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 2442,
            "rpc": ["https://rpc.cardona.zkevm-rpc.com"],
            "shortName": "zkevm-testnet-cardona",
            "slip44": None,
        },
    },
    "polynomial": {
        "mainnet": {
            "chain": "Polynomial",
            "chainId": 8008,
            "ens": None,
            "explorers": [
                {
                    "icon": "polynomial",
                    "name": "Polynomial Explorer",
                    "standard": "none",
                    "url": "https://polynomialscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "polynomial",
            "infoURL": "https://polynomial.fi",
            "name": "Polynomial",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 8008,
            "rpc": ["https://rpc.polynomial.fi"],
            "shortName": "polynomial",
            "slip44": None,
        },
        "sepolia": {
            "chain": "polynomialSepolia",
            "chainId": 80008,
            "ens": None,
            "explorers": [
                {
                    "icon": "polynomialSepolia",
                    "name": "Polynomial Sepolia Explorer",
                    "standard": "none",
                    "url": "https://sepolia.polynomialscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "polynomialSepolia",
            "infoURL": "https://polynomial.fi",
            "name": "Polynomia Sepolia",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 80008,
            "rpc": ["https://rpc.sepolia.polynomial.fi"],
            "shortName": "polynomialSepolia",
            "slip44": None,
        },
    },
    "rootstock": {
        "mainnet": {
            "chain": "Rootstock",
            "chainId": 30,
            "ens": None,
            "explorers": [
                {
                    "name": "Rootstock Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.rsk.co",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://rootstock.blockscout.com",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "rootstock",
            "infoURL": "https://rootstock.io",
            "name": "Rootstock Mainnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Smart Bitcoin",
                "symbol": "RBTC",
            },
            "networkId": 30,
            "rpc": ["https://public-node.rsk.co", "https://mycrypto.rsk.co"],
            "shortName": "rsk",
            "slip44": 137,
        },
        "testnet": {
            "chain": "Rootstock",
            "chainId": 31,
            "ens": None,
            "explorers": [
                {
                    "name": "RSK Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.testnet.rsk.co",
                }
            ],
            "faucets": ["https://faucet.rsk.co/"],
            "features": None,
            "icon": "rootstock",
            "infoURL": "https://rootstock.io",
            "name": "Rootstock Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Testnet Smart Bitcoin",
                "symbol": "tRBTC",
            },
            "networkId": 31,
            "rpc": [
                "https://public-node.testnet.rsk.co",
                "https://mycrypto.testnet.rsk.co",
            ],
            "shortName": "trsk",
            "slip44": 1,
        },
    },
    "shibarium": {
        "mainnet": {
            "chain": "Shibarium",
            "chainId": 109,
            "ens": None,
            "explorers": [
                {
                    "name": "shibariumscan",
                    "standard": "none",
                    "url": "https://www.shibariumscan.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "shibarium",
            "infoURL": "https://shibariumecosystem.com",
            "name": "Shibarium",
            "nativeCurrency": {
                "decimals": 18,
                "name": "BONE Shibarium",
                "symbol": "BONE",
            },
            "networkId": 109,
            "rpc": [
                "https://www.shibrpc.com",
                "https://rpc.shibrpc.com",
                "https://shib.nownodes.io",
            ],
            "shortName": "shibariumecosystem",
            "slip44": None,
        },
        "puppynet": {
            "chain": "Puppynet",
            "chainId": 157,
            "ens": None,
            "explorers": [
                {
                    "name": "puppyscan",
                    "standard": "none",
                    "url": "https://puppyscan.shib.io",
                }
            ],
            "faucets": ["https://shibarium.shib.io/faucet"],
            "features": None,
            "icon": "shibarium",
            "infoURL": "https://shibariumecosystem.com",
            "name": "Puppynet",
            "nativeCurrency": {"decimals": 18, "name": "BONE", "symbol": "BONE"},
            "networkId": 157,
            "rpc": ["https://puppynet.shibrpc.com"],
            "shortName": "puppynet",
            "slip44": None,
        },
    },
    "scroll": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 534352,
            "ens": None,
            "explorers": [
                {
                    "name": "Scrollscan",
                    "standard": "EIP3091",
                    "url": "https://scrollscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://scroll.io",
            "name": "Scroll",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 534352,
            "rpc": [
                "https://rpc.scroll.io",
                "https://rpc.ankr.com/scroll",
                "https://scroll-mainnet.chainstacklabs.com",
                "https://scroll-rpc.publicnode.com",
            ],
            "shortName": "scr",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 534351,
            "ens": None,
            "explorers": [
                {
                    "name": "Scroll Sepolia Etherscan",
                    "standard": "EIP3091",
                    "url": "https://sepolia.scrollscan.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://scroll.io",
            "name": "Scroll Sepolia Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 534351,
            "rpc": [
                "https://sepolia-rpc.scroll.io",
                "https://rpc.ankr.com/scroll_sepolia_testnet",
                "https://scroll-sepolia.chainstacklabs.com",
                "https://scroll-testnet-public.unifra.io",
                "https://scroll-sepolia-rpc.publicnode.com",
            ],
            "shortName": "scr-sepolia",
            "slip44": 1,
        },
    },
    "shape": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 360,
            "ens": None,
            "explorers": [
                {
                    "name": "shapescan",
                    "standard": "EIP3091",
                    "url": "https://shapescan.xyz",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "shape",
            "infoURL": "https://shape.network",
            "name": "Shape",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 360,
            "rpc": [
                "https://mainnet.shape.network",
                "https://shape-mainnet.g.alchemy.com/public",
            ],
            "shortName": "shape",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 11011,
            "ens": None,
            "explorers": [
                {
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://explorer-sepolia.shape.network",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "shapeTestnet",
            "infoURL": "https://shape.network",
            "name": "Shape Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 11011,
            "rpc": ["https://sepolia.shape.network"],
            "shortName": "shapesep",
            "slip44": 1,
        },
    },
    "soneium": {
        "minato": {
            "chain": "ETH",
            "chainId": 1946,
            "ens": None,
            "explorers": [
                {
                    "name": "Blockscout Minato explorer",
                    "standard": "EIP3091",
                    "url": "https://soneium-minato.blockscout.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "minato",
            "infoURL": "https://soneium.org",
            "name": "Soneium Testnet Minato",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 1946,
            "rpc": ["https://rpc.minato.soneium.org"],
            "shortName": "soneium-minato",
            "slip44": None,
        },
    },
    "sonic": {
        "mainnet": {
            "chain": "sonic",
            "chainId": 146,
            "ens": None,
            "explorers": [
                {
                    "icon": "sonic",
                    "name": "sonic",
                    "standard": "none",
                    "url": "https://explorer.soniclabs.com",
                }
            ],
            "faucets": [],
            "features": [{"name": "EIP155"}],
            "icon": "sonic",
            "infoURL": "https://soniclabs.com",
            "name": "Sonic Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Sonic", "symbol": "S"},
            "networkId": 146,
            "rpc": ["https://rpc.soniclabs.com", "https://sonic-rpc.publicnode.com"],
            "shortName": "sonic",
            "slip44": None,
        },
        "blaze": {
            "chain": "blaze-testnet",
            "chainId": 57054,
            "ens": None,
            "explorers": [],
            "faucets": ["https://blaze.soniclabs.com/account"],
            "features": [{"name": "EIP155"}],
            "icon": "sonic",
            "infoURL": "https://blaze.soniclabs.com",
            "name": "Sonic Blaze Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Sonic", "symbol": "S"},
            "networkId": 57054,
            "rpc": [
                "https://rpc.blaze.soniclabs.com",
                "https://sonic-blaze-rpc.publicnode.com",
            ],
            "shortName": "blaze",
            "slip44": None,
        },
    },
    "taiko": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 167000,
            "ens": None,
            "explorers": [
                {
                    "name": "etherscan",
                    "standard": "EIP3091",
                    "url": "https://taikoscan.io",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://taikoexplorer.com",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "taiko",
            "infoURL": "https://taiko.xyz",
            "name": "Taiko Alethia",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 167000,
            "rpc": [
                "https://rpc.mainnet.taiko.xyz",
                "https://taiko-rpc.publicnode.com",
            ],
            "shortName": "tko-mainnet",
            "slip44": None,
        },
        "hekla": {
            "chain": "ETH",
            "chainId": 167009,
            "ens": None,
            "explorers": [
                {
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://blockscoutapi.hekla.taiko.xyz",
                },
                {
                    "name": "Routescan",
                    "standard": "EIP3091",
                    "url": "https://hekla.taikoexplorer.com",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "taiko",
            "infoURL": "https://taiko.xyz",
            "name": "Taiko Hekla",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 167009,
            "rpc": [
                "https://rpc.hekla.taiko.xyz",
                "https://taiko-hekla-rpc.publicnode.com",
            ],
            "shortName": "tko-hekla",
            "slip44": None,
        },
    },
    "unichain": {
        "sepolia": {
            "chain": "ETH",
            "chainId": 1301,
            "ens": None,
            "explorers": [
                {
                    "name": "Unichain Sepolia Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://unichain-sepolia.blockscout.com",
                },
                {
                    "name": "Unichain Sepolia Testnet Explorer",
                    "standard": "EIP3091",
                    "url": "https://sepolia.uniscan.xyz",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": "unichain-testnet",
            "infoURL": "https://unichain.org",
            "name": "Unichain Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 1301,
            "rpc": [
                "https://sepolia.unichain.org",
                "https://unichain-sepolia-rpc.publicnode.com",
            ],
            "shortName": "unichain-sep",
            "slip44": None,
        },
    },
    "wemix": {
        "mainnet": {
            "chain": "WEMIX",
            "chainId": 1111,
            "ens": None,
            "explorers": [
                {
                    "name": "WEMIX Block Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.wemix.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://wemix.com",
            "name": "WEMIX3.0 Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "WEMIX", "symbol": "WEMIX"},
            "networkId": 1111,
            "rpc": ["https://api.wemix.com"],
            "shortName": "wemix",
            "slip44": None,
        },
        "testnet": {
            "chain": "TWEMIX",
            "chainId": 1112,
            "ens": None,
            "explorers": [
                {
                    "name": "WEMIX Testnet Microscope",
                    "standard": "EIP3091",
                    "url": "https://microscope.test.wemix.com",
                }
            ],
            "faucets": ["https://wallet.test.wemix.com/faucet"],
            "features": None,
            "icon": None,
            "infoURL": "https://wemix.com",
            "name": "WEMIX3.0 Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "TestnetWEMIX",
                "symbol": "tWEMIX",
            },
            "networkId": 1112,
            "rpc": ["https://api.test.wemix.com"],
            "shortName": "twemix",
            "slip44": 1,
        },
    },
    "world-chain": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 480,
            "ens": None,
            "explorers": [
                {
                    "name": "etherscan",
                    "standard": "EIP3091",
                    "url": "https://worldscan.org",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://worldchain-mainnet.explorer.alchemy.com",
                },
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://world.org/world-chain",
            "name": "World Chain",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 480,
            "rpc": [
                "https://worldchain-mainnet.g.alchemy.com/public",
                "https://480.rpc.thirdweb.com",
                "https://worldchain-mainnet.gateway.tenderly.co",
            ],
            "shortName": "wc",
            "slip44": 1,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 4801,
            "ens": None,
            "explorers": [
                {
                    "name": "etherscan",
                    "standard": "EIP3091",
                    "url": "https://sepolia.worldscan.org",
                },
                {
                    "icon": "blockscout",
                    "name": "blockscout",
                    "standard": "EIP3091",
                    "url": "https://worldchain-sepolia.explorer.alchemy.com",
                },
            ],
            "faucets": [
                "https://www.alchemy.com/faucets/world-chain-sepolia",
                "https://console.optimism.io/faucet",
            ],
            "features": None,
            "icon": None,
            "infoURL": "https://world.org/world-chain",
            "name": "World Chain Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 4801,
            "rpc": [
                "https://worldchain-sepolia.g.alchemy.com/public",
                "https://4801.rpc.thirdweb.com",
                "https://worldchain-sepolia.gateway.tenderly.co",
            ],
            "shortName": "wcsep",
            "slip44": 1,
        },
    },
    "xai": {
        "mainnet": {
            "chain": "XAI",
            "chainId": 660279,
            "ens": None,
            "explorers": [
                {
                    "name": "Blockscout",
                    "standard": "EIP3091",
                    "url": "https://explorer.xai-chain.net",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://xai.games",
            "name": "Xai Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Xai", "symbol": "XAI"},
            "networkId": 660279,
            "rpc": ["https://xai-chain.net/rpc"],
            "shortName": "xai",
            "slip44": None,
        },
        "sepolia": {
            "chain": "XAI Testnet",
            "chainId": 37714555429,
            "ens": None,
            "explorers": [
                {
                    "name": "Blockscout",
                    "standard": "EIP3091",
                    "url": "https://testnet-explorer-v2.xai-chain.net",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://xai.games",
            "name": "Xai Testnet v2",
            "nativeCurrency": {"decimals": 18, "name": "sXai", "symbol": "sXAI"},
            "networkId": 37714555429,
            "rpc": ["https://testnet-v2.xai-chain.net/rpc"],
            "shortName": "xaitestnet",
            "slip44": None,
        },
    },
    "xmtp": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 24132016,
            "ens": None,
            "explorers": [],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://xmtp.org",
            "name": "XMTP",
            "nativeCurrency": {"decimals": 18, "name": "USDC", "symbol": "USDC"},
            "networkId": 24132016,
            "rpc": [],
            "shortName": "xmtp",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 241320161,
            "ens": None,
            "explorers": [],
            "faucets": [],
            "features": None,
            "icon": None,
            "infoURL": "https://xmtp.org",
            "name": "XMTP Sepolia",
            "nativeCurrency": {"decimals": 18, "name": "USDC", "symbol": "USDC"},
            "networkId": 241320161,
            "rpc": [],
            "shortName": "xmtp-sepolia",
            "slip44": None,
        },
    },
    "zetachain": {
        "mainnet": {
            "chain": "ZetaChain",
            "chainId": 7000,
            "ens": None,
            "explorers": [
                {
                    "name": "ZetaChain Mainnet Explorer",
                    "standard": "none",
                    "url": "https://explorer.zetachain.com",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zetachain",
            "infoURL": "https://zetachain.com/docs/",
            "name": "ZetaChain Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Zeta", "symbol": "ZETA"},
            "networkId": 7000,
            "rpc": [
                "https://zetachain-evm.blockpi.network/v1/rpc/public",
                "https://zetachain-mainnet.g.allthatnode.com/archive/evm",
                "https://zeta-chain.drpc.org",
                "https://zetachain-mainnet.public.blastapi.io",
                "https://7000.rpc.thirdweb.com",
            ],
            "shortName": "zetachain-mainnet",
            "slip44": None,
        },
        "testnet": {
            "chain": "ZetaChain",
            "chainId": 7001,
            "ens": None,
            "explorers": [
                {
                    "name": "ZetaScan",
                    "standard": "none",
                    "url": "https://athens.explorer.zetachain.com",
                },
                {
                    "icon": "blockscout",
                    "name": "Blockscout",
                    "standard": "EIP3091",
                    "url": "https://zetachain-athens-3.blockscout.com",
                },
            ],
            "faucets": [
                "https://www.zetachain.com/docs/reference/apps/get-testnet-zeta/"
            ],
            "features": None,
            "icon": "zetachain",
            "infoURL": "https://zetachain.com/docs",
            "name": "ZetaChain Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Zeta", "symbol": "ZETA"},
            "networkId": 7001,
            "rpc": [
                "https://zetachain-athens-evm.blockpi.network/v1/rpc/public",
                "https://zetachain-testnet.public.blastapi.io",
                "https://zetachain-athens.g.allthatnode.com/archive/evm",
                "https://7001.rpc.thirdweb.com",
                "https://zeta-chain-testnet.drpc.org",
            ],
            "shortName": "zetachain-testnet",
            "slip44": 1,
        },
    },
    "zksync": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 324,
            "ens": None,
            "explorers": [
                {
                    "icon": "zksync-era",
                    "name": "zkSync Era Block Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.zksync.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zksync-era",
            "infoURL": "https://zksync.io/",
            "name": "zkSync Mainnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 324,
            "rpc": ["https://mainnet.era.zksync.io", "https://zksync.drpc.org"],
            "shortName": "zksync",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 300,
            "ens": None,
            "explorers": [
                {
                    "icon": "zksync-era",
                    "name": "zkSync Block Explorer",
                    "standard": "EIP3091",
                    "url": "https://sepolia.explorer.zksync.io",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zksync-era",
            "infoURL": "https://zksync.io/",
            "name": "zkSync Sepolia Testnet",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 300,
            "rpc": [
                "https://sepolia.era.zksync.dev",
                "https://zksync-sepolia.drpc.org",
            ],
            "shortName": "zksync-sepolia",
            "slip44": 1,
        },
    },
    "zora": {
        "mainnet": {
            "chain": "ETH",
            "chainId": 7777777,
            "ens": None,
            "explorers": [
                {
                    "name": "Zora Network Explorer",
                    "standard": "EIP3091",
                    "url": "https://explorer.zora.energy",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zora",
            "infoURL": "https://zora.energy",
            "name": "Zora",
            "nativeCurrency": {"decimals": 18, "name": "Ether", "symbol": "ETH"},
            "networkId": 7777777,
            "rpc": ["https://rpc.zora.energy/"],
            "shortName": "zora",
            "slip44": None,
        },
        "sepolia": {
            "chain": "ETH",
            "chainId": 999999999,
            "ens": None,
            "explorers": [
                {
                    "name": "Zora Sepolia Testnet Network Explorer",
                    "standard": "EIP3091",
                    "url": "https://sepolia.explorer.zora.energy",
                }
            ],
            "faucets": [],
            "features": None,
            "icon": "zoraSepoliaTestnet",
            "infoURL": "https://zora.energy",
            "name": "Zora Sepolia Testnet",
            "nativeCurrency": {
                "decimals": 18,
                "name": "Sepolia Ether",
                "symbol": "ETH",
            },
            "networkId": 999999999,
            "rpc": ["https://sepolia.rpc.zora.energy"],
            "shortName": "zsep",
            "slip44": 1,
        },
    },
}
